<?php
/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<aside class="wrapper-notes">
	<div class="widget-notes island-4 text-light">
		<div id="comments" class="comments-area row">

			<?php // You can start editing here -- including this comment! ?>

			<?php if ( have_comments() ) : ?>
				<h4 class="widget-title notecount t5 hf text-accent understroke pad-bottom"><?php esc_html_e( 'Comments', 'wayfarer' ); ?></h4>

				<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
				<nav id="comment-nav-above" class="comment-navigation">
					<h1 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'wayfarer' ); ?></h1>
					<div class="nav-previous"><?php previous_comments_link( esc_html__( '&larr; Older Comments', 'wayfarer' ) ); ?></div>
					<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'wayfarer' ) ); ?></div>
				</nav><!-- #comment-nav-above -->
				<?php endif; // check for comment navigation ?>

				<ol class="comment-list notes-list col-md-10 col-md-offset-1 pad-top">
					<?php wp_list_comments( array( 'callback' => 'wayfarer_comment', 'style' => 'ol' ) ); ?>
				</ol><!-- .comment-list -->

				<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
				<nav id="comment-nav-below" class="comment-navigation">
					<h1 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'wayfarer' ); ?></h1>
					<div class="nav-previous"><?php previous_comments_link( esc_html__( '&larr; Older Comments', 'wayfarer' ) ); ?></div>
					<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'wayfarer' ) ); ?></div>
				</nav><!-- #comment-nav-below -->
				<?php endif; // check for comment navigation ?>

			<?php endif; // have_comments() ?>

			<?php
				// If comments are closed and there are comments, let's leave a little note, shall we?
				if ( ! comments_open() && '0' != get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
			?>
				<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'wayfarer' ); ?></p>
			<?php endif; ?>

		</div>

		<?php comment_form(
			array(
				'comment_notes_after'  => '',
				'class_form'           => 'comment-form col-md-10 col-md-offset-1',
				'title_reply'          => esc_html__( 'Leave a Comment', 'wayfarer' ),
				'comment_field'        => '<p class="comment-form-comment"><label for="comment" class="sr-only">' . _x( 'Comment', 'noun', 'wayfarer' ) . '</label><textarea cols="45" rows="8" maxlength="65525" id="comment" name="comment" aria-required="true"></textarea></p>',
				'class_submit'         => 'submit button',
			)
		); ?>

	</div>
</aside>
