<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">

<?php wp_head(); ?>
</head>

<body id="top" <?php body_class(); ?>>

<div style="display: none;" class="back-top text-light">
	<a href="#top" class="vertical-align horizontal-align">
		<i class="fa fa-2x fa-angle-up"></i>
		<span class="sr-only"><?php esc_html_e( 'Back to top', 'wayfarer' ); ?></span>
	</a>
</div>

<div id="page" class="site wrapper">
	<div class="wrapper-content">

		<header id="masthead" class="site-header">
			<div class="container">
				<div class="row">

					<div class="site-branding text-light col-xs-10">
						<div class="site-logo vertical-align island-1">
							<?php wayfarer_site_branding(); ?>
						</div>
					</div>

					<?php get_template_part( 'partials/menu' ); // Loads the 'partials/menu.php' template. ?>

				</div>
			</div>
		</header><!-- #masthead -->

		<?php get_template_part( 'partials/content', 'featured' ); // Loads the 'partials/content-featured.php' template. ?>

		<?php get_template_part( 'partials/promo', 'box' ); // Loads the 'partials/promo-box.php' template. ?>

		<div class="wrapper-main row">
			<div class="container wrapper-flex">
