<?php
/**
 * About Me Customizer
 */

/**
 * Register the customizer.
 */
function wayfarer_about_customize_register( $wp_customize ) {

	// Register new section: About Me
	$wp_customize->add_section( 'wayfarer_about' , array(
		'title'       => esc_html__( 'About Me', 'wayfarer' ),
		'description' => esc_html__( 'These options is used for customizing the about area at the bottom of your site.', 'wayfarer' ),
		'panel'       => 'wayfarer_options',
		'priority'    => 7
	) );

	// Register about me title setting
	$wp_customize->add_setting( 'wayfarer-about-title', array(
		'default'           => esc_html__( 'About Me', 'wayfarer' ),
		'sanitize_callback' => 'esc_attr',
	) );
	$wp_customize->add_control( 'wayfarer-about-title', array(
		'label'             => esc_html__( 'Title', 'wayfarer' ),
		'section'           => 'wayfarer_about',
		'priority'          => 1,
		'type'              => 'text'
	) );

	// Register about me image setting
	$wp_customize->add_setting( 'wayfarer-about-img', array(
		'default'           => '',
		'sanitize_callback' => 'absint'
	) );
	$wp_customize->add_control( new WP_Customize_Media_Control( $wp_customize, 'wayfarer-about-img', array(
		'label'             => esc_html__( 'Image', 'wayfarer' ),
		'section'           => 'wayfarer_about',
		'priority'          => 3,
		'mime_type'         => 'image',
	) ) );

	// Register about me description setting
	$wp_customize->add_setting( 'wayfarer-about-desc', array(
		'default'           => '',
		'sanitize_callback' => 'wayfarer_sanitize_textarea',
	) );
	$wp_customize->add_control( 'wayfarer-about-desc', array(
		'label'             => esc_html__( 'Bio', 'wayfarer' ),
		'section'           => 'wayfarer_about',
		'priority'          => 5,
		'type'              => 'textarea'
	) );

}
add_action( 'customize_register', 'wayfarer_about_customize_register' );
