<?php
/**
 * Featured Posts Customizer
 */

/**
 * Register the customizer.
 */
function wayfarer_featured_posts_customize_register( $wp_customize ) {

	// Register new section: Featured Posts
	$wp_customize->add_section( 'wayfarer_featured_posts' , array(
		'title'       => esc_html__( 'Featured Posts', 'wayfarer' ),
		'description' => esc_html__( 'Featured posts is a posts slider on home page.', 'wayfarer' ),
		'panel'       => 'wayfarer_options',
		'priority'    => 1
	) );

	// Register enable wayfarer setting
	$wp_customize->add_setting( 'wayfarer-featured-enable', array(
		'default'           => 1,
		'sanitize_callback' => 'wayfarer_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'wayfarer-featured-enable', array(
		'label'             => esc_html__( 'Show featured posts', 'wayfarer' ),
		'section'           => 'wayfarer_featured_posts',
		'priority'          => 1,
		'type'              => 'checkbox'
	) );

	// Register tag setting
	$wp_customize->add_setting( 'wayfarer-featured-tag', array(
		'default'           => '',
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'wayfarer-featured-tag', array(
		'label'             => esc_html__( 'Select a tag', 'wayfarer' ),
		'section'           => 'wayfarer_featured_posts',
		'priority'          => 3,
		'type'              => 'select',
		'choices'           => wayfarer_tags_list()
	) );

	// Register number of posts setting
	$wp_customize->add_setting( 'wayfarer-featured-num', array(
		'default'           => 6,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'wayfarer-featured-num', array(
		'label'             => esc_html__( 'Number of posts', 'wayfarer' ),
		'section'           => 'wayfarer_featured_posts',
		'priority'          => 5,
		'type'              => 'number',
		'input_attrs'       => array(
			'min'  => 0,
			'step' => 1
		)
	) );

	// Register posts order setting
	$wp_customize->add_setting( 'wayfarer-featured-orderby', array(
		'default'           => 'date',
		'sanitize_callback' => 'wayfarer_sanitize_featured_orderby',
	) );
	$wp_customize->add_control( 'wayfarer-featured-orderby', array(
		'label'             => esc_html__( 'Order by', 'wayfarer' ),
		'section'           => 'wayfarer_featured_posts',
		'priority'          => 7,
		'type'              => 'radio',
		'choices'           => array(
			'date'  => esc_html__( 'Date', 'wayfarer' ),
			'rand'  => esc_html__( 'Random', 'wayfarer' )
		)
	) );

}
add_action( 'customize_register', 'wayfarer_featured_posts_customize_register' );
