<?php
/**
 * Instagram Customizer
 */

/**
 * Register the customizer.
 */
function wayfarer_instagram_customize_register( $wp_customize ) {

	// Register new section: Instagram
	$wp_customize->add_section( 'wayfarer_instagram' , array(
		'title'       => esc_html__( 'Instagram', 'wayfarer' ),
		'description' => esc_html__( 'These options is used for customizing the instagram area at the bottom of your site.', 'wayfarer' ),
		'panel'       => 'wayfarer_options',
		'priority'    => 9
	) );

	// Register instagram token setting
	$wp_customize->add_setting( 'wayfarer-instagram-token', array(
		'default'           => '',
		'sanitize_callback' => 'esc_attr',
	) );
	$wp_customize->add_control( 'wayfarer-instagram-token', array(
		'label'             => esc_html__( 'API Key', 'wayfarer' ),
		'section'           => 'wayfarer_instagram',
		'priority'          => 1,
		'type'              => 'text'
	) );

	// Register instagram username setting
	$wp_customize->add_setting( 'wayfarer-instagram-username', array(
		'default'           => '',
		'sanitize_callback' => 'esc_attr',
	) );
	$wp_customize->add_control( 'wayfarer-instagram-username', array(
		'label'             => esc_html__( 'Username', 'wayfarer' ),
		'section'           => 'wayfarer_instagram',
		'priority'          => 3,
		'type'              => 'text'
	) );

	// Register instagram user id setting
	$wp_customize->add_setting( 'wayfarer-instagram-userid', array(
		'default'           => '',
		'sanitize_callback' => 'esc_attr',
	) );
	$wp_customize->add_control( 'wayfarer-instagram-userid', array(
		'label'             => esc_html__( 'User ID', 'wayfarer' ),
		'section'           => 'wayfarer_instagram',
		'priority'          => 5,
		'type'              => 'text'
	) );

	// Register instagram number of photos to show setting
	$wp_customize->add_setting( 'wayfarer-instagram-limit', array(
		'default'           => 10,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'wayfarer-instagram-limit', array(
		'label'             => esc_html__( 'User ID', 'wayfarer' ),
		'section'           => 'wayfarer_instagram',
		'priority'          => 7,
		'type'              => 'number',
		'input_attrs'       => array(
			'min'  => 0,
			'step' => 1
		)
	) );

}
add_action( 'customize_register', 'wayfarer_instagram_customize_register' );
