<?php
/**
 * Misc Customizer
 */

/**
 * Register the customizer.
 */
function wayfarer_misc_customize_register( $wp_customize ) {

	// Register new section: Misc
	$wp_customize->add_section( 'wayfarer_misc' , array(
		'title'       => esc_html__( 'Misc', 'wayfarer' ),
		'description' => esc_html__( 'These options is used for customizing general elements.', 'wayfarer' ),
		'panel'       => 'wayfarer_options',
		'priority'    => 11
	) );

	// Register Custom RSS setting
	$wp_customize->add_setting( 'wayfarer-custom-rss', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'wayfarer-custom-rss', array(
		'label'             => esc_html__( 'Custom RSS', 'wayfarer' ),
		'description'       => esc_html__( 'Custom RSS URL such as Feedburner.', 'wayfarer' ),
		'section'           => 'wayfarer_misc',
		'priority'          => 1,
		'type'              => 'url'
	) );

	// Register menu background setting
	$wp_customize->add_setting( 'wayfarer-menu-bg', array(
		'default'           => '',
		'sanitize_callback' => 'absint'
	) );
	$wp_customize->add_control( new WP_Customize_Media_Control( $wp_customize, 'wayfarer-menu-bg', array(
		'label'             => esc_html__( 'Menu Background', 'wayfarer' ),
		'section'           => 'wayfarer_misc',
		'priority'          => 3,
		'mime_type'         => 'image',
	) ) );

	// Register page title setting
	$wp_customize->add_setting( 'wayfarer-page-title', array(
		'default'           => 1,
		'sanitize_callback' => 'wayfarer_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'wayfarer-page-title', array(
		'label'             => esc_html__( 'Show page title', 'wayfarer' ),
		'section'           => 'wayfarer_misc',
		'priority'          => 5,
		'type'              => 'checkbox'
	) );

	// Register page comment setting
	$wp_customize->add_setting( 'wayfarer-page-comment', array(
		'default'           => 1,
		'sanitize_callback' => 'wayfarer_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'wayfarer-page-comment', array(
		'label'             => esc_html__( 'Show page comment', 'wayfarer' ),
		'section'           => 'wayfarer_misc',
		'priority'          => 7,
		'type'              => 'checkbox'
	) );

	// Register Footer Credits setting
	$wp_customize->add_setting( 'wayfarer-footer-text', array(
		'sanitize_callback' => 'wayfarer_sanitize_textarea',
		'default'           => 'Designed by <a href="https://www.theme-junkie.com/">Theme Junkie</a>',
	) );
	$wp_customize->add_control( 'wayfarer-footer-text', array(
		'label'             => esc_html__( 'Footer Text', 'wayfarer' ),
		'section'           => 'wayfarer_misc',
		'priority'          => 9,
		'type'              => 'textarea'
	) );

}
add_action( 'customize_register', 'wayfarer_misc_customize_register' );
