<?php
// Get the data set in customizer
$enable  = get_theme_mod( 'wayfarer-featured-enable', 1 );
$tag     = get_theme_mod( 'wayfarer-featured-tag' );
$num     = get_theme_mod( 'wayfarer-featured-num', 6 );
$orderby = get_theme_mod( 'wayfarer-featured-orderby', 'date' );

// Show on home page
if ( !is_home() ) {
	return;
}

// Disable the posts slider by user selected in the customizer
if ( !$enable ) {
	return;
}

// Posts query arguments.
$args = array(
	'posts_per_page' => $num,
	'post_type'      => 'post',
	'orderby'        => $orderby
);

// Include the tag.
if ( $tag ) {
	$args['tag_id'] = absint( $tag );
}

// Allow dev to filter the query.
$args = apply_filters( 'wayfarer_featured_posts_args', $args );

// The post query
$featured = new WP_Query( $args );

if ( $featured->have_posts() ) : ?>
	<div id="slides" class="slider wrapper-slider hp-only">
		<ul style="margin: 0px; padding: 0px; list-style: none; position: relative; height: 100%;" class="slides-container text-center">

			<?php while ( $featured->have_posts() ) : $featured->the_post(); ?>

				<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );?>

				<li style="background-image: linear-gradient(rgba(49, 49, 49, 0.6) 0%, rgba(49, 49, 49, 0.6) 100%), linear-gradient(rgba(0, 0, 0, 0) 60%, rgb(49, 49, 49) 100%), url( '<?php echo $image[0]; ?>' ); background-position-x: 50%; background-size: cover; display: none; left: 909px; position: absolute; overflow: hidden; height: 100%; width: 909px; top: 0px; z-index: 0; opacity: 1;" class="slide slide-1 text-light">
					<div class="slide-wrapper container">
						<div class="slide-content-wrapper slide-frame vertical-align">
							<div class="slide-content text-center col-xs-10 col-xs-offset-1 col-sm-6 col-sm-offset-3 col-lg-4 col-lg-offset-4">
								<h2 class="slide-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
								<div class="slide-text pad-bottom-3 pad-top-1"><?php echo wp_trim_words( get_the_excerpt(), 10 ); ?></div>
								<a href="<?php the_permalink(); ?>" class="btn-cta t6 text-uppercase text-bold"><?php esc_html_e( 'Read More', 'wayfarer' ); ?></a>
							</div>
						</div>
					</div>
				</li>

			<?php endwhile; ?>

		</ul>
	</div>
<?php endif; wp_reset_postdata(); ?>
