<?php
// Get the data set in customizer
$tag = get_theme_mod( 'wayfarer-post-tag' );
$img = get_theme_mod( 'wayfarer-post-featured' );
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="wrapper-meta-share accent-box clearfix island-2 pad-top pad-bottom vertical-align">

		<div class="col-xs-12 col-lg-6">
			<div class="post-meta small text-bold text-uppercase text-muted">
				<?php wayfarer_posted_on(); ?>
			</div>
		</div>

		<div class="col-xs-12 col-lg-6 right">
			<div class="post-share align-right vertical-align clearfix">
				<?php wayfarer_entry_share(); ?>
				<?php echo wayfarer_do_likes(); ?>
			</div>
		</div>

	</div>

	<?php the_title( '<h2 class="post-title content-box island-4 text-dark">', '</h2>' ); ?>

	<div class="post-text wrapper-text text-dark content-box island-4 text-dark">

		<?php if ( has_post_format( 'video' ) ) : ?>
			<div class="wrapper-post wrapper-video">
				<div class="media-embed pad-top-2 pad-bottom-3 hover-fade">
					<?php echo hybrid_media_grabber( array( 'type' => 'video', 'split_media' => true ) ); ?>
				</div>
			</div>
		<?php elseif ( has_post_format( 'audio' ) ) : ?>
			<div class="media-full">
				<?php echo hybrid_media_grabber( array( 'type' => 'audio', 'split_media' => true ) ); ?>
			</div>
		<?php elseif ( ! has_post_format( 'quote' ) ) : ?>
			<?php if ( has_post_thumbnail() && $img ) : ?>
				<figure class="media-full">
					<?php the_post_thumbnail( 'large', array( 'class' => 'entry-thumbnail', 'alt' => esc_attr( get_the_title() ) ) ); ?>
				</figure>
			<?php endif; ?>
		<?php endif; ?>

		<?php the_content(); ?>

		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'wayfarer' ),
				'after'  => '</div>',
			) );
		?>

	</div>

	<?php
		$tags = get_the_tags();
		if ( $tags && $tag ) :
	?>
		<footer class="wrapper-meta-share accent-box clearfix island-2 pad-top pad-bottom vertical-align">
			<div class="post-meta-tags col-xs-12 vertical-align">
				<i class="fa fa-tags hidden-xs hidden-sm hidden-md text-muted"></i>
				<span class="post-tags-list list-inline nomargin vertical-align-wrap">
					<?php foreach( $tags as $tag ) : ?>
						<a class="tag-link post-meta small text-bold text-uppercase text-muted" href="<?php echo esc_url( get_tag_link( $tag->term_id ) ); ?>"><?php echo esc_attr( $tag->name ); ?></a>
					<?php endforeach; ?>
				</span>
			</div>
		</footer>
	<?php endif; ?>

</article><!-- #post-## -->
