<?php
// Check if there's a menu assigned to the 'primary' location.
if ( ! has_nav_menu( 'primary' ) ) {
	return;
}

$bg = get_theme_mod( 'wayfarer-menu-bg' );
?>

<div class="site-navigation col-xs-2 text-right">

	<a id="menu-open" href="#" class="js-menu-toggle menu-toggle menu-toggle-open">
		<i class="fa icon-nav-toggle fa-bars"></i>
		<span class="sr-only"><?php esc_html_e( 'Menu', 'wayfarer' ); ?></span>
	</a>

	<nav id="menu" style="display: none; background-image: linear-gradient(to bottom, rgba(49,49,49,.6) 0%, rgba(49,49,49,.6) 100%), linear-gradient(to bottom, rgba(0,0,0,0) 60%, rgba(49,49,49,1) 100%), url( '<?php echo wp_get_attachment_url( intval( $bg ) ); ?>' ); background-position-x: center; background-size: cover;" class="mobile-nav text-light">

		<a id="menu-close" href="#" class="js-menu-toggle menu-toggle menu-toggle-close col-xs-1">
			<div class="icon-nav-toggle text-accent">
				<i class="fa fa-angle-right"></i><i class="fa fa-angle-left"></i>
			</div>
			<span class="sr-only"><?php esc_html_e( 'Close', 'wayfarer' ); ?></span>
		</a>

		<div class="mobile-nav-wrapper col-xs-10 col-xs-offset-1 col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3 island-4">

			<div class="site-logo pad-bottom-3">
				<?php wayfarer_site_branding(); ?>
			</div>

			<?php wp_nav_menu(
				array(
					'theme_location'  => 'primary',
					'container'       => '',
					'menu_id'         => 'menu-primary-items',
					'menu_class'      => 'nav-links list-unstyled t4 text-uppercase text-bold',
					'walker'          => new Wayfarer_Bootstrap_Walker
				)
			); ?>

			<div class="t4 pad-top-2 widget widget-search">
				<?php get_search_form(); ?>
			</div>

			<?php if ( has_nav_menu ( 'social' ) ) : ?>
				<div class="mobile-socialicons pad-top-3 text-accent">
					<?php wp_nav_menu(
						array(
							'theme_location'  => 'social',
							'depth'           => 1,
							'link_before'     => '<span class="sr-only">',
							'link_after'      => '</span>',
							'menu_class'      => 'social-icons list-inline nomargin',
							'container'       => false
						)
					); ?>
				</div>
			<?php endif; ?>

		</div>

	</nav>

</div>
